import React, { useState, useEffect } from "react";
import styled from "styled-components";

// style
const StyledDefaultTemplate = styled.div``;

export default ({ className, text }) => {
  const [value, setValue] = useState("");

  useEffect(() => {
    setValue(text);
  }, [text]);

  return (
    <StyledDefaultTemplate className={className}>
      {value || "this is DefaultTemplate"}
    </StyledDefaultTemplate>
  );
};
