#!/bin/bash

header='## How to develop

if you would like to add new component or see the demonstration for every comopnent, run a single command:

```sh
yarn start
```

## publish your module of new version to npm

```sh
npm publish
```

if you get any problem, please refer to its documentation:

https://verdaccio.org/docs/en/installation

https://docs.npmjs.com/cli/publish
'

line="
---
"

echo "$header">./README.md

echo "$line">>./README.md

file=$(find ./src/Instructions -name "*.md")

for f in $file
do
    content=$(cat $f)
    echo "$content" >>./README.md
    echo "$line">>./README.md
done

