import React from "react";
import styled from "styled-components";
import RtSyntaxHighlighter from "rt-syntax-highlighter";

// component
import InstructionFrame from "Instructions/InstructionFrame";
import DefaultFunctionComponent from "Components";

const readmd = require("./readmd.md");

// style
const StyledDefaultFunctionComponentInstruction = styled(InstructionFrame)``;

export default () => (
  <StyledDefaultFunctionComponentInstruction readmd={readmd}>
    <section className="component-preview-section">
      <div className="component-preivew-wrap">
        <div className="title">DefaultFunctionComponent sample:</div>

        <div className="component">
          <DefaultFunctionComponent text="this is default function component demonstrate" />
        </div>
      </div>

      <div className="source-code-preivew-wrap">
        <div className="title">SOURCE CODE</div>

        <div className="source-code">
          <RtSyntaxHighlighter
            code={`<DefaultFunctionComponent text="this is a default function component for demonstration" />`}
          />
        </div>
      </div>
    </section>
  </StyledDefaultFunctionComponentInstruction>
);
